Package org.eclipse.birt.report.model.api.util

# Class DocumentUtil

java.lang.Object
org.eclipse.birt.report.model.api.util.DocumentUtil

public class DocumentUtil extends Object
Utility class for the serialize a report design in which all the elements localize their property values from the referred external resources, such as library elements, library embedded images.

## Constructor Summary

Constructors
Constructor
Description
`DocumentUtil()`

## Method Summary

Modifier and Type
Method
Description
`static ReportDesignHandle`
`serialize(ReportDesignHandle designHandle, OutputStream out)`
Writes the report design to the given output stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DocumentUtil

public DocumentUtil()

## Method Details

### serialize

public static ReportDesignHandle serialize(ReportDesignHandle designHandle, OutputStream out) throws IOException
Writes the report design to the given output stream. The caller must call `onSave` if the save succeeds.

Parameters:
  `designHandle` - the report design to serialize
  `out` - the output stream to which the design is written.
Throws:
  `IOException` - if the file cannot be written to the output stream successfully.